% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/sesame.R
\name{searchIDATprefixes}
\alias{searchIDATprefixes}
\title{Identify IDATs from a directory}
\usage{
searchIDATprefixes(dir.name, recursive = FALSE)
}
\arguments{
\item{dir.name}{the directory containing the IDAT files.}

\item{recursive}{search IDAT files recursively}
}
\value{
the IDAT prefixes (a vector of character strings).
}
\description{
The input is the directory name as a string. The function identifies all
the IDAT files under the directory. The function returns a vector of such
IDAT prefixes under the directory.
}
\examples{
## only search what are directly under
IDATprefixes <- searchIDATprefixes(
    system.file("extdata", "", package = "sesameData"))

## search files recursively
IDATprefixes <- searchIDATprefixes(
    system.file(package = "sesameData"), recursive=TRUE)
}
